<?php
$tdataregistro_de_consumo = array();
$tdataregistro_de_consumo[".searchableFields"] = array();
$tdataregistro_de_consumo[".ShortName"] = "registro_de_consumo";
$tdataregistro_de_consumo[".OwnerID"] = "";
$tdataregistro_de_consumo[".OriginalTable"] = "registro_participante";


$tdataregistro_de_consumo[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdataregistro_de_consumo[".originalPagesByType"] = $tdataregistro_de_consumo[".pagesByType"];
$tdataregistro_de_consumo[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdataregistro_de_consumo[".originalPages"] = $tdataregistro_de_consumo[".pages"];
$tdataregistro_de_consumo[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdataregistro_de_consumo[".originalDefaultPages"] = $tdataregistro_de_consumo[".defaultPages"];

//	field labels
$fieldLabelsregistro_de_consumo = array();
$fieldToolTipsregistro_de_consumo = array();
$pageTitlesregistro_de_consumo = array();
$placeHoldersregistro_de_consumo = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsregistro_de_consumo["Spanish"] = array();
	$fieldToolTipsregistro_de_consumo["Spanish"] = array();
	$placeHoldersregistro_de_consumo["Spanish"] = array();
	$pageTitlesregistro_de_consumo["Spanish"] = array();
	$fieldLabelsregistro_de_consumo["Spanish"]["PLACA"] = "PLACA";
	$fieldToolTipsregistro_de_consumo["Spanish"]["PLACA"] = "";
	$placeHoldersregistro_de_consumo["Spanish"]["PLACA"] = "";
	$fieldLabelsregistro_de_consumo["Spanish"]["VOLUMEN_TOTAL"] = "VOLUMEN TOTAL";
	$fieldToolTipsregistro_de_consumo["Spanish"]["VOLUMEN_TOTAL"] = "";
	$placeHoldersregistro_de_consumo["Spanish"]["VOLUMEN_TOTAL"] = "";
	$fieldLabelsregistro_de_consumo["Spanish"]["Fecha"] = "Fecha";
	$fieldToolTipsregistro_de_consumo["Spanish"]["Fecha"] = "";
	$placeHoldersregistro_de_consumo["Spanish"]["Fecha"] = "";
	$fieldLabelsregistro_de_consumo["Spanish"]["Participante"] = "Participante";
	$fieldToolTipsregistro_de_consumo["Spanish"]["Participante"] = "";
	$placeHoldersregistro_de_consumo["Spanish"]["Participante"] = "";
	if (count($fieldToolTipsregistro_de_consumo["Spanish"]))
		$tdataregistro_de_consumo[".isUseToolTips"] = true;
}


	$tdataregistro_de_consumo[".NCSearch"] = true;



$tdataregistro_de_consumo[".shortTableName"] = "registro_de_consumo";
$tdataregistro_de_consumo[".nSecOptions"] = 0;

$tdataregistro_de_consumo[".mainTableOwnerID"] = "";
$tdataregistro_de_consumo[".entityType"] = 1;
$tdataregistro_de_consumo[".connId"] = "bsn_dividendos_at_localhost";


$tdataregistro_de_consumo[".strOriginalTableName"] = "registro_participante";

	



$tdataregistro_de_consumo[".showAddInPopup"] = false;

$tdataregistro_de_consumo[".showEditInPopup"] = false;

$tdataregistro_de_consumo[".showViewInPopup"] = false;

$tdataregistro_de_consumo[".listAjax"] = false;
//	temporary
//$tdataregistro_de_consumo[".listAjax"] = false;

	$tdataregistro_de_consumo[".audit"] = true;

	$tdataregistro_de_consumo[".locking"] = true;


$pages = $tdataregistro_de_consumo[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataregistro_de_consumo[".edit"] = true;
	$tdataregistro_de_consumo[".afterEditAction"] = 1;
	$tdataregistro_de_consumo[".closePopupAfterEdit"] = 1;
	$tdataregistro_de_consumo[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataregistro_de_consumo[".add"] = true;
$tdataregistro_de_consumo[".afterAddAction"] = 1;
$tdataregistro_de_consumo[".closePopupAfterAdd"] = 1;
$tdataregistro_de_consumo[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataregistro_de_consumo[".list"] = true;
}



$tdataregistro_de_consumo[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataregistro_de_consumo[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataregistro_de_consumo[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataregistro_de_consumo[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataregistro_de_consumo[".printFriendly"] = true;
}



$tdataregistro_de_consumo[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataregistro_de_consumo[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataregistro_de_consumo[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataregistro_de_consumo[".isUseAjaxSuggest"] = true;



																																													

$tdataregistro_de_consumo[".ajaxCodeSnippetAdded"] = false;

$tdataregistro_de_consumo[".buttonsAdded"] = false;

$tdataregistro_de_consumo[".addPageEvents"] = false;

// use timepicker for search panel
$tdataregistro_de_consumo[".isUseTimeForSearch"] = false;


$tdataregistro_de_consumo[".badgeColor"] = "9ACD32";


$tdataregistro_de_consumo[".allSearchFields"] = array();
$tdataregistro_de_consumo[".filterFields"] = array();
$tdataregistro_de_consumo[".requiredSearchFields"] = array();

$tdataregistro_de_consumo[".googleLikeFields"] = array();
$tdataregistro_de_consumo[".googleLikeFields"][] = "Fecha";
$tdataregistro_de_consumo[".googleLikeFields"][] = "Participante";
$tdataregistro_de_consumo[".googleLikeFields"][] = "PLACA";
$tdataregistro_de_consumo[".googleLikeFields"][] = "VOLUMEN_TOTAL";



$tdataregistro_de_consumo[".tableType"] = "list";

$tdataregistro_de_consumo[".printerPageOrientation"] = 0;
$tdataregistro_de_consumo[".nPrinterPageScale"] = 100;

$tdataregistro_de_consumo[".nPrinterSplitRecords"] = 40;

$tdataregistro_de_consumo[".geocodingEnabled"] = false;










$tdataregistro_de_consumo[".pageSize"] = 20;

$tdataregistro_de_consumo[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdataregistro_de_consumo[".strOrderBy"] = $tstrOrderBy;

$tdataregistro_de_consumo[".orderindexes"] = array();


$tdataregistro_de_consumo[".sqlHead"] = "SELECT registro_participante.fecha_venta as Fecha,    concat(pro_participante.ci, '-', pro_participante.apellido_paterno, ' ', pro_participante.apellido_materno, ' ', pro_participante.nombres) AS Participante,    registro_participante.PLACA,  registro_participante.VOLUMEN_TOTAL";
$tdataregistro_de_consumo[".sqlFrom"] = "FROM registro_participante  INNER JOIN pro_participante ON registro_participante.id_participante = pro_participante.id";
$tdataregistro_de_consumo[".sqlWhereExpr"] = "";
$tdataregistro_de_consumo[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataregistro_de_consumo[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataregistro_de_consumo[".arrGroupsPerPage"] = $arrGPP;

$tdataregistro_de_consumo[".highlightSearchResults"] = true;

$tableKeysregistro_de_consumo = array();
$tdataregistro_de_consumo[".Keys"] = $tableKeysregistro_de_consumo;


$tdataregistro_de_consumo[".hideMobileList"] = array();




//	Fecha
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "Fecha";
	$fdata["GoodName"] = "Fecha";
	$fdata["ownerTable"] = "registro_participante";
	$fdata["Label"] = GetFieldLabel("Registro_de_Consumo","Fecha");
	$fdata["FieldType"] = 135;


	
	
			

		$fdata["strField"] = "fecha_venta";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "registro_participante.fecha_venta";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Datetime");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 5;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataregistro_de_consumo["Fecha"] = $fdata;
		$tdataregistro_de_consumo[".searchableFields"][] = "Fecha";
//	Participante
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "Participante";
	$fdata["GoodName"] = "Participante";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("Registro_de_Consumo","Participante");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Participante";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "concat(pro_participante.ci, '-', pro_participante.apellido_paterno, ' ', pro_participante.apellido_materno, ' ', pro_participante.nombres)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataregistro_de_consumo["Participante"] = $fdata;
		$tdataregistro_de_consumo[".searchableFields"][] = "Participante";
//	PLACA
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "PLACA";
	$fdata["GoodName"] = "PLACA";
	$fdata["ownerTable"] = "registro_participante";
	$fdata["Label"] = GetFieldLabel("Registro_de_Consumo","PLACA");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "PLACA";

		$fdata["sourceSingle"] = "PLACA";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "registro_participante.PLACA";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataregistro_de_consumo["PLACA"] = $fdata;
		$tdataregistro_de_consumo[".searchableFields"][] = "PLACA";
//	VOLUMEN_TOTAL
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "VOLUMEN_TOTAL";
	$fdata["GoodName"] = "VOLUMEN_TOTAL";
	$fdata["ownerTable"] = "registro_participante";
	$fdata["Label"] = GetFieldLabel("Registro_de_Consumo","VOLUMEN_TOTAL");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "VOLUMEN_TOTAL";

		$fdata["sourceSingle"] = "VOLUMEN_TOTAL";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "registro_participante.VOLUMEN_TOTAL";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 3;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=2";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataregistro_de_consumo["VOLUMEN_TOTAL"] = $fdata;
		$tdataregistro_de_consumo[".searchableFields"][] = "VOLUMEN_TOTAL";


$tables_data["Registro de Consumo"]=&$tdataregistro_de_consumo;
$field_labels["Registro_de_Consumo"] = &$fieldLabelsregistro_de_consumo;
$fieldToolTips["Registro_de_Consumo"] = &$fieldToolTipsregistro_de_consumo;
$placeHolders["Registro_de_Consumo"] = &$placeHoldersregistro_de_consumo;
$page_titles["Registro_de_Consumo"] = &$pageTitlesregistro_de_consumo;


changeTextControlsToDate( "Registro de Consumo" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["Registro de Consumo"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["Registro de Consumo"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_registro_de_consumo()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "registro_participante.fecha_venta as Fecha,    concat(pro_participante.ci, '-', pro_participante.apellido_paterno, ' ', pro_participante.apellido_materno, ' ', pro_participante.nombres) AS Participante,    registro_participante.PLACA,  registro_participante.VOLUMEN_TOTAL";
$proto0["m_strFrom"] = "FROM registro_participante  INNER JOIN pro_participante ON registro_participante.id_participante = pro_participante.id";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_venta",
	"m_strTable" => "registro_participante",
	"m_srcTableName" => "Registro de Consumo"
));

$proto6["m_sql"] = "registro_participante.fecha_venta";
$proto6["m_srcTableName"] = "Registro de Consumo";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "Fecha";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$proto9=array();
$proto9["m_functiontype"] = "SQLF_CUSTOM";
$proto9["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "pro_participante.ci"
));

$proto9["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "'-'"
));

$proto9["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "pro_participante.apellido_paterno"
));

$proto9["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "' '"
));

$proto9["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "pro_participante.apellido_materno"
));

$proto9["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "' '"
));

$proto9["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "pro_participante.nombres"
));

$proto9["m_arguments"][]=$obj;
$proto9["m_strFunctionName"] = "concat";
$obj = new SQLFunctionCall($proto9);

$proto8["m_sql"] = "concat(pro_participante.ci, '-', pro_participante.apellido_paterno, ' ', pro_participante.apellido_materno, ' ', pro_participante.nombres)";
$proto8["m_srcTableName"] = "Registro de Consumo";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "Participante";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "PLACA",
	"m_strTable" => "registro_participante",
	"m_srcTableName" => "Registro de Consumo"
));

$proto17["m_sql"] = "registro_participante.PLACA";
$proto17["m_srcTableName"] = "Registro de Consumo";
$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "VOLUMEN_TOTAL",
	"m_strTable" => "registro_participante",
	"m_srcTableName" => "Registro de Consumo"
));

$proto19["m_sql"] = "registro_participante.VOLUMEN_TOTAL";
$proto19["m_srcTableName"] = "Registro de Consumo";
$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto21=array();
$proto21["m_link"] = "SQLL_MAIN";
			$proto22=array();
$proto22["m_strName"] = "registro_participante";
$proto22["m_srcTableName"] = "Registro de Consumo";
$proto22["m_columns"] = array();
$proto22["m_columns"][] = "CARGAS";
$proto22["m_columns"][] = "fecha_registro";
$proto22["m_columns"][] = "fecha_venta";
$proto22["m_columns"][] = "id";
$proto22["m_columns"][] = "id_participante";
$proto22["m_columns"][] = "PLACA";
$proto22["m_columns"][] = "tipo_vehiculo";
$proto22["m_columns"][] = "VOLUMEN_TOTAL";
$obj = new SQLTable($proto22);

$proto21["m_table"] = $obj;
$proto21["m_sql"] = "registro_participante";
$proto21["m_alias"] = "";
$proto21["m_srcTableName"] = "Registro de Consumo";
$proto23=array();
$proto23["m_sql"] = "";
$proto23["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto23["m_column"]=$obj;
$proto23["m_contained"] = array();
$proto23["m_strCase"] = "";
$proto23["m_havingmode"] = false;
$proto23["m_inBrackets"] = false;
$proto23["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto23);

$proto21["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto21);

$proto0["m_fromlist"][]=$obj;
												$proto25=array();
$proto25["m_link"] = "SQLL_INNERJOIN";
			$proto26=array();
$proto26["m_strName"] = "pro_participante";
$proto26["m_srcTableName"] = "Registro de Consumo";
$proto26["m_columns"] = array();
$proto26["m_columns"][] = "apellido_materno";
$proto26["m_columns"][] = "apellido_paterno";
$proto26["m_columns"][] = "ci";
$proto26["m_columns"][] = "create_date";
$proto26["m_columns"][] = "estado_participante";
$proto26["m_columns"][] = "fecha";
$proto26["m_columns"][] = "fecha_registro";
$proto26["m_columns"][] = "id";
$proto26["m_columns"][] = "id_promocion";
$proto26["m_columns"][] = "nombres";
$proto26["m_columns"][] = "placa";
$proto26["m_columns"][] = "procedencia";
$proto26["m_columns"][] = "responsable";
$proto26["m_columns"][] = "telefono";
$proto26["m_columns"][] = "tipo_vehiculo";
$obj = new SQLTable($proto26);

$proto25["m_table"] = $obj;
$proto25["m_sql"] = "INNER JOIN pro_participante ON registro_participante.id_participante = pro_participante.id";
$proto25["m_alias"] = "";
$proto25["m_srcTableName"] = "Registro de Consumo";
$proto27=array();
$proto27["m_sql"] = "pro_participante.id = registro_participante.id_participante";
$proto27["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "pro_participante",
	"m_srcTableName" => "Registro de Consumo"
));

$proto27["m_column"]=$obj;
$proto27["m_contained"] = array();
$proto27["m_strCase"] = "= registro_participante.id_participante";
$proto27["m_havingmode"] = false;
$proto27["m_inBrackets"] = false;
$proto27["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto27);

$proto25["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto25);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="Registro de Consumo";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_registro_de_consumo = createSqlQuery_registro_de_consumo();


	
		;

				

$tdataregistro_de_consumo[".sqlquery"] = $queryData_registro_de_consumo;



$tdataregistro_de_consumo[".hasEvents"] = false;

?>